[Numpy-discussion] Branching 1.1.x and starting 1.2.x development

David Cournapeau david@ar.media.kyoto-u.ac...
Tue May 20 21:32:26 CDT 2008


Charles R Harris wrote:
> Curious bug on Stefan's Ubuntu build client:
>
> ImportError: /usr/lib/atlas/libblas.so.3gf: undefined symbol: _gfortran_st_write_done
> make[1]: *** [test] Error 1

Unfortunately not curious and very well known: I bet the client is 
configured to build with g77; libblas.so.3gf uses the gfortran ABI 
(which is incompatible with the g77 ABI). Any library with 3gf is the 
gfortran ABI.

Two possible solutions:
    - forget about gfortran, and install atlas3* (g77 ABI) instead of 
libatlas* (gfortran ABI)
    - use gfortran in the build

The first one is safer: I cannot find any concrete information on the 
Ubuntu side of things, but I believe g77 is still the default ABI. 
(Debian) Lenny uses gfortran:

http://wiki.debian.org/GfortranTransition

David


More information about the Numpy-discussion mailing list